Bug 25776 - Add last updated date for notices and slips
Summary: Add last updated date for notices and slips
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-16 19:58 UTC by Donna
Modified: 2021-01-28 16:25 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Text to go in the release notes:
This adds a new column to the letter table to store the last date and time a notice was edited. On the notices summary page, the latest change will show and the individual changes for each transport type (email, print, ...) will show once the letter is edited on the different tabs.
Version(s) released in:
20.11.00


Attachments
Bug 25776: [DO NOT PUSH] Schema update (1.41 KB, patch)
2020-08-30 22:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25776: Add a 'last updated' column for notices (5.68 KB, patch)
2020-08-30 22:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25776: Add a 'last updated' column for notices (5.81 KB, patch)
2020-08-30 22:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25776: Add a 'last updated' column for notices (6.70 KB, patch)
2020-08-31 20:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
screenshot - short not working (17.12 KB, image/png)
2020-08-31 21:13 UTC, Donna
Details
Bug 25776: (follow-up) Fix sorting by change date in notices table (1.47 KB, patch)
2020-08-31 21:54 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25776: [DO NOT PUSH] Schema update (1.46 KB, patch)
2020-09-16 21:26 UTC, David Nind
Details | Diff | Splinter Review
Bug 25776: Add a 'last updated' column for notices (6.75 KB, patch)
2020-09-16 21:27 UTC, David Nind
Details | Diff | Splinter Review
Bug 25776: (follow-up) Fix sorting by change date in notices table (1.52 KB, patch)
2020-09-16 21:27 UTC, David Nind
Details | Diff | Splinter Review
Bug 25776: [DO NOT PUSH] Schema update (1.52 KB, patch)
2020-09-17 08:13 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25776: Add a 'last updated' column for notices (6.77 KB, patch)
2020-09-17 08:13 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25776: (follow-up) Fix sorting by change date in notices table (1.58 KB, patch)
2020-09-17 08:13 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25776: (QA follow-up) Add missing filter (1.47 KB, patch)
2020-09-17 08:14 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Donna 2020-06-16 19:58:22 UTC
It would be extremely helpful if there was a "Last Saved" or "Last Edited" field in the "Modify notice" window.  That way, users would know when that notice was last updated.  This data should not show in the notice that is sent to patrons, just visible to staff so they can quickly seen when that notice was last updated.
Comment 1 George Williams (NEKLS) 2020-06-22 14:26:58 UTC
+1
Comment 2 Rebecca Coert 2020-06-24 00:12:17 UTC
+1
Comment 3 Christofer Zorn 2020-07-16 15:05:38 UTC
This would be a fantastic addition, however if I could throw another suggestion into this request. Along with the editing date, would it be possible to log what the notice was prior to the changes? This might be helpful in having to backtrack or prove what the guts of a notice was before the change rather than having to find someone who received the notice to see what happened.

I think the date field would be a great addition, however if we can keep the history that would be great.

Thanks!

Christofer
Comment 4 Katrin Fischer 2020-08-30 21:17:05 UTC
(In reply to Christofer Zorn from comment #3)
> This would be a fantastic addition, however if I could throw another
> suggestion into this request. Along with the editing date, would it be
> possible to log what the notice was prior to the changes? This might be
> helpful in having to backtrack or prove what the guts of a notice was before
> the change rather than having to find someone who received the notice to see
> what happened.
> 
> I think the date field would be a great addition, however if we can keep the
> history that would be great.
> 
> Thanks!
> 
> Christofer

Hi Christofer, there is already a bug for adding a Notices log - bug 14233. I think both things would be great to have, but better to keep them as separate features in bugzilla.
Comment 5 Katrin Fischer 2020-08-30 22:34:09 UTC
Created attachment 109303 [details] [review]
Bug 25776: [DO NOT PUSH] Schema update
Comment 6 Katrin Fischer 2020-08-30 22:34:13 UTC
Created attachment 109304 [details] [review]
Bug 25776: Add a 'last updated' column for notices

This add an 'udated_on' column to the letter table and displays
the information in 'slips and notices'.

To test:
- Apply patch
- Run updatedatabase
  Note: the existing letters will all be set to the
  currnet date).
- Go to Tools > Notices and slips
- Verify there is a new column "Last updated" in the table
  Note: The table will always display the newest change date
  of the different message transport types.
- Edit any notice
- Verify the "Last updated" is shown for any transport type
  with an existing notice definition
- Edit and add a notice
- Verify the dates are correctly stored
- Test the column configuration for the new column works
  correctly
Comment 7 Katrin Fischer 2020-08-30 22:35:12 UTC
Created attachment 109305 [details] [review]
Bug 25776: Add a 'last updated' column for notices

This add an 'udated_on' column to the letter table and displays
the information in 'slips and notices'.

To test:
- Apply patch
- Run updatedatabase
  Note: the existing letters will all be set to the
  currnet date).
- Go to Tools > Notices and slips
- Verify there is a new column "Last updated" in the table
  Note: The table will always display the newest change date
  of the different message transport types.
- Edit any notice
- Verify the "Last updated" is shown for any transport type
  with an existing notice definition
- Edit and add a notice
- Verify the dates are correctly stored
- Test the column configuration for the new column works
  correctly
Comment 8 Katrin Fischer 2020-08-31 20:37:45 UTC
Created attachment 109382 [details] [review]
Bug 25776: Add a 'last updated' column for notices

This add an 'udated_on' column to the letter table and displays
the information in 'slips and notices'.

To test:
- Apply patch
- Run updatedatabase
  Note: the existing letters will all be set to the
  currnet date).
- Go to Tools > Notices and slips
- Verify there is a new column "Last updated" in the table
  Note: The table will always display the newest change date
  of the different message transport types.
- Edit any notice
- Verify the "Last updated" is shown for any transport type
  with an existing notice definition
- Edit and add a notice
- Verify the dates are correctly stored
- Test the column configuration for the new column works
  correctly
Comment 9 Donna 2020-08-31 21:13:27 UTC
Created attachment 109383 [details]
screenshot - short not working
Comment 10 Donna 2020-08-31 21:14:33 UTC
Katrin - love this! Everything works great, except the toggle/sort in the last updated column does not work - the notices do not get sorted by date/time.
Comment 11 Katrin Fischer 2020-08-31 21:54:50 UTC
Created attachment 109384 [details] [review]
Bug 25776: (follow-up) Fix sorting by change date in notices table

Some markup was missing to sort the date correctly.

To test:
- Verify date sorting in the notices table works as expected
Comment 12 Katrin Fischer 2020-08-31 21:55:43 UTC
Hi Donna, thx a lot for testing! There was definitely something missing and I hope it will work now as expected with the additional bit of code.
Comment 13 David Nind 2020-09-16 21:26:56 UTC
Created attachment 110236 [details] [review]
Bug 25776: [DO NOT PUSH] Schema update

Signed-off-by: David Nind <david@davidnind.com>
Comment 14 David Nind 2020-09-16 21:27:04 UTC
Created attachment 110237 [details] [review]
Bug 25776: Add a 'last updated' column for notices

This add an 'udated_on' column to the letter table and displays
the information in 'slips and notices'.

To test:
- Apply patch
- Run updatedatabase
  Note: the existing letters will all be set to the
  currnet date).
- Go to Tools > Notices and slips
- Verify there is a new column "Last updated" in the table
  Note: The table will always display the newest change date
  of the different message transport types.
- Edit any notice
- Verify the "Last updated" is shown for any transport type
  with an existing notice definition
- Edit and add a notice
- Verify the dates are correctly stored
- Test the column configuration for the new column works
  correctly

Signed-off-by: David Nind <david@davidnind.com>
Comment 15 David Nind 2020-09-16 21:27:12 UTC
Created attachment 110238 [details] [review]
Bug 25776: (follow-up) Fix sorting by change date in notices table

Some markup was missing to sort the date correctly.

To test:
- Verify date sorting in the notices table works as expected

Signed-off-by: David Nind <david@davidnind.com>
Comment 16 David Cook 2020-09-16 23:26:15 UTC
Oh this sounds great!
Comment 17 Martin Renvoize 2020-09-17 08:13:45 UTC
Created attachment 110242 [details] [review]
Bug 25776: [DO NOT PUSH] Schema update

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 18 Martin Renvoize 2020-09-17 08:13:50 UTC
Created attachment 110243 [details] [review]
Bug 25776: Add a 'last updated' column for notices

This add an 'udated_on' column to the letter table and displays
the information in 'slips and notices'.

To test:
- Apply patch
- Run updatedatabase
  Note: the existing letters will all be set to the
  currnet date).
- Go to Tools > Notices and slips
- Verify there is a new column "Last updated" in the table
  Note: The table will always display the newest change date
  of the different message transport types.
- Edit any notice
- Verify the "Last updated" is shown for any transport type
  with an existing notice definition
- Edit and add a notice
- Verify the dates are correctly stored
- Test the column configuration for the new column works
  correctly

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 19 Martin Renvoize 2020-09-17 08:13:54 UTC
Created attachment 110244 [details] [review]
Bug 25776: (follow-up) Fix sorting by change date in notices table

Some markup was missing to sort the date correctly.

To test:
- Verify date sorting in the notices table works as expected

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 20 Martin Renvoize 2020-09-17 08:14:01 UTC
Created attachment 110245 [details] [review]
Bug 25776: (QA follow-up) Add missing filter

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 21 Martin Renvoize 2020-09-17 08:14:34 UTC
All works well, and passes QA scripts.

Passing QA
Comment 22 Jonathan Druart 2020-10-01 09:44:53 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 23 Lucas Gass 2020-10-20 17:41:43 UTC
enhancement will not be backported to 20.05.x